%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate num_enum

Name:           rust-num_enum
Version:        0.5.11
Release:    1%{?dist}
Summary:        Procedural macros to make inter-operation between primitives and enums easier

License:        BSD-3-Clause OR MIT OR Apache-2.0
URL:            https://crates.io/crates/num_enum
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Procedural macros to make inter-operation between primitives and enums
easier.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-BSD
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+complex-expressions-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+complex-expressions-devel %{_description}

This package contains library source intended for building other packages which
use the "complex-expressions" feature of the "%{crate}" crate.

%files       -n %{name}+complex-expressions-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+external_doc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+external_doc-devel %{_description}

This package contains library source intended for building other packages which
use the "external_doc" feature of the "%{crate}" crate.

%files       -n %{name}+external_doc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
rm tests/renamed_num_enum.rs
rm tests/try_build.rs
rm -r tests/try_build/*
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.11-1
- initial build
